backend:
  repo: Klasse-Methode/maybetomorrow.org
  app_id: e3334a11-be83-46a4-9cc0-cf8d13fd7472
  branch: main
collections:
  - name: pages
    label: "Seiten"
    editor:
      preview: false
    files:
      - name: imprint
        label: Impressum
        file: "content/impressum/_index.md"
        create: false
        fields:
          - { label: "Titel", name: "title", widget: "string" }
          - { label: "Text", name: "body", widget: "markdown" }
      - name: dataprotection
        label: Datenschutz
        file: "content/datenschutz/_index.md"
        create: false
        fields:
          - { label: "Titel", name: "title", widget: "string" }
          - { label: "Text", name: "body", widget: "markdown" }
      - name: contact
        label: Kontakt
        file: "content/kontakt/_index.md"
        create: false
        fields:
          - { label: "Titel", name: "title", widget: "string" }
          - { label: "Text", name: "body", widget: "markdown" }
  - label: "Inhalte Startseite"
    name: "landingpage"
    folder: "content/home_infos"
    format: frontmatter
    create: true
    editor:
      preview: false
    fields:
      - { label: "Name", name: "name", widget: "string" }
      - { label: "Text", name: "body", widget: "markdown" }
      - { label: "Einrückung Text horizontal", name: "indent", widget: "number", value_type: "int", min: 0, max: 4, default: 0}
      - { label: "Position Textblock vertikal", name: "position", widget: "number", value_type: "int", min: 1, max: 100, default: 0}
      - label: "Buttons"
        name: "buttons"
        widget: "list"
        required: false
        fields: 
          - { label: "Name", name: "name", widget: "string"  }
          - { label: "URL", name: "url", widget: "string"  }
          - { label: "Einrückung Button", name: "indent", widget: "number", value_type: "int", min: 0, max: 3, default: 0}
          - { label: "Hover Effekt", name: "img", widget: "image" }
  - name: "team"
    label: "Teammitglieder"
    folder: "content/team"
    format: frontmatter
    create: true
    slug: "{{name}}"
    editor:
      preview: false
    filter: { field: "visible", value: true }
    fields:
      - { label: "Name", name: "name", widget: "string" }
      - { label: "Pronomen", name: "pronouns", widget: "string" }
      - { label: "Bild", name: "image", widget: "image" }
      - { label: "Bildbeschreibung", name: "altText", widget: "string" }
      - { label: "Info", name: "body", widget: "markdown" }
      - { label: "Job", name: "job", widget: "string" }
      - { label: "Telefonnummer", name: "phone", widget: "string" }
      - { label: "E-Mail", name: "mail", widget: "string" }
      - { label: "Visible", name: "visible", widget: hidden, default: true }
  - name: "trainer"
    label: "Trainer*innen"
    folder: "content/trainerinnen"
    format: frontmatter
    create: true
    slug: "{{name}}"
    editor:
      preview: false
    filter: { field: "visible", value: true }
    fields:
      - { label: "Name", name: "name", widget: "string" }
      - { label: "Pronomen", name: "pronouns", widget: "string" }
      - { label: "Bild", name: "image", widget: "image" }
      - { label: "Bildbeschreibung", name: "altText", widget: "string" }
      - { label: "Info", name: "body", widget: "markdown" }
      - { label: "Job", name: "job", widget: "string" }
      - { label: "Telefonnummer", name: "phone", widget: "string" }
      - { label: "E-Mail", name: "mail", widget: "string" }
      - { label: "Visible", name: "visible", widget: hidden, default: true }
  - name: "network_map"
    label: "Netzwerk"
    folder: "content/network_map"
    format: frontmatter
    create: true
    slug: "{{name}}"
    editor:
      preview: false
    filter: { field: "visible", value: true }
    fields:
      - { label: "Name", name: "name", widget: "string" }
      - { label: "Bild", name: "image", widget: "image" }
      - { label: "Adresse", name: "address", widget: "string", required: true }
      - { label: "Beschreibung", name: "shortdescr", widget: "string", required: false }
      - { label: "E-Mail", name: "mail", widget: "string", required: false }
      - { label: "Webseite", name: "website", widget: "string", required: false }
      - { label: "Visible", name: "visible", widget: hidden, default: true }
